
export function defineUserAfterSave(){
    Parse.Cloud.afterSave("_User", async (request) => {
        let query = new Parse.Query("Profile");
        query.equalTo("user",request?.object?.id)
        let profile = await query.first();
        let userInfo = user.toJSON();
        userInfo= fixJsonFileds(userInfo)
        if(profile){
            let pjson = profile.toJSON();
            delete pjson.objectId;
            pjson= fixJsonFileds(pjson)
            Object.keys(pjson).forEach(key=>{
                userInfo[key] = pjson[key]
            })
        }
        // 映射对应字段
        userInfo.company = userInfo.companyName
        delete userInfo.companyName
        console.log(userInfo)
    });
}

function fixJsonFileds(json){
    delete json.ACL
    delete json.className
    delete json.sessionToken
    delete json.company
    return json
}